Package org.gradle.api

## Interface NamedDomainObjectFactory<T>

- Type Parameters:
    `T` - The type of objects which this factory creates.

      public interface NamedDomainObjectFactory<T>

  A factory for named objects of type `T`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `T` | `create​(java.lang.String name)` | Creates a new object with the given name.

- - ### Method Detail

    - #### create

          T create​(java.lang.String name)

      Creates a new object with the given name.
      Parameters:
        `name` - The name
      Returns:
        The object.